# wanha - your pesky URL-guardian for IRC
# Copyright (C) 2006 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package RLang;

use strict;
use warnings FATAL => 'all';
use diagnostics;


my %txt;

$txt{"title-short"} = "wanha";
$txt{"title-long"} = "wanha - web-k&auml;ytt&ouml;liittym&auml;";

$txt{"chan-summary"} = "Kanavan %s yhteenveto";
$txt{"chan-last-n-urls"} = "Kanavan %d viimeisit&auml; linkki&auml;";
$txt{"chan-urls-range"} = "Linkit %d - %d";
$txt{"chan-hist-for"} = "Kanavan %s linkkihistoria";

$txt{"chanstat-for"} = "Kanavan %s linkkitilastot";
$txt{"chanstat-hourly"} = "Linkit tunneittain";
$txt{"chanstat-weekdaily"} = "Linkit viikonp&auml;ivitt&auml;in";
$txt{"chanstat-misc"} = "Sekalaista tilastoa";
$txt{"chanstat-urls-wanha-perc"} = "Kanavalle on pastetettu %d linkki&auml;, " .
		"joista %d (%.2f %%) oli wanhoja.";
$txt{"chanstat-alltime"} = "Kaikkien aikojen suosikit";
$txt{"chanstat-domain-days"} = "Edellisen %d:n p&auml;iv&auml;n " .
		"yleisimm&auml;n domainit";
$txt{"chanstat-no-urls"} = "Haulla ei l&ouml;ytynyt yht&auml;&auml;n osumaa";

$txt{"user-summary"} = "Yhteenveto k&auml;ytt&auml;j&auml;lle %s";
$txt{"user-no-urls"} = "K&auml;ytt&auml;j&auml; %s ei ole pastettanut " .
		"yht&auml;&auml;n linkki&auml;";
$txt{"user-n-latest-urls"} = "%d viimeisint&auml; linkki&auml;";
$txt{"user-n-best-urls"} = "%d wanhinta linkki&auml;";
$txt{"user-hist-for"} = "K&auml;ytt&auml;j&auml;n %s linkkihistoria";
$txt{"user-urls-range"} = "Linkit %d - %d";
$txt{"user-pop-urls-range"} = "Suositut linkit %d - %d";

$txt{"col-address"} = "Osoite";
$txt{"col-first-pasted"} = "Ensipaste";
$txt{"col-times-pasted"} = "Kertaa";
$txt{"col-channel"} = "Kanava";
$txt{"col-total"} = "Yhteens&auml;";
$txt{"col-rank"} = "Sija";
$txt{"col-nick"} = "K&auml;ytt&auml;j&auml;";
$txt{"col-points"} = "Pisteet";
$txt{"col-urls"} = "Linkit";
$txt{"col-points-ratio"} = "Osumatarkkuus";
$txt{"col-fame"} = "Pisteit&auml;";
$txt{"col-shame"} = "Wanhoja";
$txt{"col-wanha"} = "Uusiopaste";
$txt{"col-cheat"} = "Huijattuja";
$txt{"col-busy"} = "Eniten linkkej&auml;";
$txt{"col-domain"} = "Domain";
$txt{"col-share-of-all"} = "Osuus kaikista";
$txt{"col-url"} = "Osoite";
$txt{"col-age"} = "Ik&auml;";

$txt{"short-mon"} = "Ma";
$txt{"short-tue"} = "Ti";
$txt{"short-wed"} = "Ke";
$txt{"short-thu"} = "To";
$txt{"short-fri"} = "Pe";
$txt{"short-sat"} = "La";
$txt{"short-sun"} = "Su";

$txt{"link-go-to"} = "Linkit: ";
$txt{"link-chanstat"} = "kanavatilastot";
$txt{"link-older-urls"} = "vanhemmat linkit";
$txt{"link-chan"} = "kanavayhteenveto";
$txt{"link-newer"} = "uudemmat";
$txt{"link-older"} = "vanhemmat";
$txt{"link-latest-urls"} = "tuoreimmat linkit";
$txt{"link-user-summary"} = "k&auml;ytt&auml;j&auml;yhteenveto";
$txt{"link-search"} = "tilastohaku";

$txt{"txt-generate"} = "-- t&auml;m&auml;n sivun luominen kesti %.3f sekuntia";
$txt{"txt-any"} = "Mik&auml; tahansa";
$txt{"txt-age-min"} = "V&auml;hint&auml;&auml;n";
$txt{"txt-age-max"} = "Enint&auml;&auml;n";
$txt{"txt-days"} = "p&auml;iv&auml;&auml;";
$txt{"txt-search"} = "Etsi";
$txt{"txt-title-error"} = "Virhe";

$txt{"latest-label"} = "Viimeisimm&auml;t linkit nollauksen j&auml;lkeen";
$txt{"latest-no-new-urls"} = "Ei uusia linkkej&auml; nollauksen j&auml;lkeen.";
$txt{"latest-reset"} = "Nollaa linkkitilanne.";

$txt{"settings-title"} = "Asetukset";
$txt{"settings-reset"} = "Automaattinen nollaus";
$txt{"settings-count"} = "Linkkien lukum&auml;&auml;r&auml;";
$txt{"settings-age"} = "Ev&auml;steen kesto<br />(p&auml;iv&auml;&auml;)";
$txt{"settings-save"} = "Tallenna";
$txt{"settings-updated"} = "Asetukset tallennettu.";

$txt{"session-chan-not-set"} = "Ei kanavaa";
$txt{"session-session"} = "Istunto";
$txt{"session-summary"} = "Yhteenveto";
$txt{"session-stats"} = "Tilastot";
$txt{"session-create"} = "Uusi";
$txt{"session-settings"} = "Asetukset";
$txt{"session-latest"} = "Tuoreimmat";
$txt{"session-general"} = "Yleiset";
$txt{"cant-set-sessionl"} = "Ev&auml;steen luominen ep&auml;onnistui";

$txt{"stat-title"} = "Tilastohaku";
$txt{"stat-top-n-users"} = "%d k&auml;ytt&auml;j&auml;&auml; joilla eniten";
$txt{"stat-urls-exactly-like"} = "%s:n kaltaisia linkkej&auml;";
$txt{"stat-urls-like"} = "linkkej&auml; %s";
$txt{"stat-on-any-channel"} = "mill&auml; tahansa kanavalla";
$txt{"stat-on-channel"} = "kanavalla %s";
$txt{"stat-aged-max"} = "edellisten %d p&auml;iv&auml;n aikana";
$txt{"stat-aged-min"} = "poislukien edelliset %d p&auml;iv&auml;&auml;";
$txt{"stat-fullstop"} = ".";
$txt{"stat-search"} = "Luo uusi tilasto";
$txt{"stat-no-matches"} = "Ei osumia.";



=item get
Get string

0: id
r: string
=cut
sub get($) {
	my ($id) = @_;
	my $t = $txt{$id};
	(defined($t)) && return $t;
	return "($id)";
}


return 1;
